Skip to content

Get All Orders

Endpoint

GET https://api.mycactus.dev/custody/v1/api/projects/{b_id}/orders
GET https://api.mycactus.com/custody/v1/api/projects/{b_id}/orders

Parameters

Path Parameters

FieldTypeDescription
b_id
Required
StringBusiness line ID

Query Parameters

FieldTypeDescription
start_time
Optional
IntegerStart filter timestamp
end_time
Optional
IntegerEnd filter timestamp
keyword
Optional
StringKeyword (order ID, account ID, wallet name, Wallet ID, order description, from address and to address)
limit
Optional
Integer10 by default
offset
Optional
Integer0 by default
sort_by_time
Optional
StringSort by time sequence (DESC by default)
applicant
Optional
String[]Maker
coin_name
Optional
String[]Coin name
Allowed Value: Refer to Coin Name (API) column in Supported Token
chain_name
Optional
String[]Cactus chain name
Allowed Value: Refer to Network Symbol column in Supported Token
status
Optional
String[]Order status
wallet_name
Optional
String[]Wallet name

Response

Response Body

FieldTypeDescription
codeIntegerResponse code (0 = success)
messageStringResponse message
successfulBooleanWhether the request was successful
dataObjectOrder data (see data object details below)

data (object)

FieldTypeDescription
offsetIntegerOffset
limitIntegerLimit
totalIntegerTotal number of records
listObject[]Order list (see list object details below)

list (object)

FieldTypeDescription
domain_idStringEnterprise ID
bidStringBusiness line ID
exchange_rateDecimalOrder exchange rate
time_stampLongOrder creation timestamp
order_noStringOrder ID
applicantStringOrder maker
business_nameStringBusiness line name
coin_nameStringAsset name
storage_typeStringStorage type
Allowed values: PRIME_HOT, PRIME_COLD, ENTERPRISE_HOT, ENTERPRISE_COLD
wallet_nameStringWallet name
wallet_codeStringWallet ID
amountDecimalWithdrawal amount
original_amountDecimalOriginal withdrawal amount
miner_fee_rateDecimalMiner fee rate
descriptionStringOrder description
from_addressStringFrom address
gas_priceDecimalGas price (ETH Series)
gas_limitDecimalGas limit (ETH series)
max_fee_per_gasDecimalMax fee
max_priority_fee_per_gasDecimalPriority fee
statusStringOrder status
Allowed values: PROCESSING, PARTIALLY_FAILED, FAILED, ORDER_SEND_OUT, FINISHED, CANCELED
inner_statusStringOrder inner status
order_dest_address_info_vo_listObject[]Order list (see order_dest_address_info_vo_list object for details below)

order_dest_address_info_vo_list (object)

FieldTypeDescription
dest_addressStringRecipient address
memo_typeStringMemo type
Allowed values: MEMO_NONE, MEMO_TEXT, MEMO_HASH
memoStringMemo
origin_balanceDecimalOrigin withdrawal amount
balanceDecimalActual withdrawal amount
remarkStringRemark

Response Example

{
    "code": 0,
    "message": "",
    "data": {
        "offset": 0,
        "limit": 10,
        "list": [
            {
                "domain_id": "a5b3f782c4e24c688eca60946442a75f",
                "exchange_rate": 9768.36,
                "time_stamp": 1582008785000,
                "order_no": "666666000000073",
                "applicant": "xxxx@xyz.com",
                "business_name": "BusinessLine001",
                "coin_name": "BTC",
                "storage_type": "PRIME_HOT",
                "wallet_name": "MIX008",
                "wallet_code": "CHBTC4813422686",
                "amount": 10000,
                "original_amount": 10000,
                "miner_fee_rate": 1024,
                "description": "",
                "from_address": "",
                "gas_price": null,
                "gas_limit": null,
                "order_dest_address_info_vo_list": [
                    {
                        "dest_address": "mioNv7xz1es2waP77gLQYypXesBbkT8BeX",
                        "memo_type": "MEMO_TEXT",
                        "memo": "text",
                        "origin_balance": 10000,
                        "balance": 10000,
                        "remark": ""
                    }
                ],
                "status": "FINISHED",
                "inner_status": "FINISHED",
                "bid": "ed70ff75b1fe4994a3bd836befe0e87f"
            }
        ],
        "total": 1
    },
    "successful": true
}